
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #608

Cuesheet support issue: 'Album Title' missing (replaced with current directory name),  as well as

Year and Genre in playlist when adding songs from cue files

December 30, 2015 19:05 - Ari Ar

Status: Closed Start date: December 30, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/cue Estimated time: 0.00 hour

Target version: 3.7.2   

Affects version: 3.6.2   

Description

Fedora 22 / audacious 3.6.2

Audacious has had support for cuesheets for a while: it can add and play songs from a cuesheet into a playlist, and can now scan

cuesheets while building the library.

Cuesheet parsing has a problem though: cuesheet files support both the Name of the Album as well as the Name of each Song.

When adding songs from a cuesheet to a playlist (or scanning cuesheets into the library) Audacious ignores the name of the album

that's present in the cuesheet and silently replaces it with the name of the directory where the album is.

Spec: http://wiki.hydrogenaud.io/index.php?title=Cue_sheet

This issue has been present for at least 2 years since I found it reported by someone here:  

https://bugs.launchpad.net/ubuntu/+source/audacious/+bug/1274200

In addition to Album title, Audacious also ignores the "REM DATE" (year) and "REM GENRE" tags. These are tags extracted by

EAC, Rubyripper and all other CD rippers out there.

Example:

REM GENRE Classical

REM DATE 1996

REM DISCID 8D12A50A

CATALOG 0028944693621

PERFORMER "Schubert; Alfred Brendel"

TITLE "Complete Piano Works (Brendel) CD1 - Klaviersonaten a-moll, A-Dur, a-moll, 16 Deutsche Taenze"

FILE "Image.flac" WAVE

TRACK 01 AUDIO

TITLE "Sonata in A minor, D. 537 - 1. Allegro, ma non troppo"

PERFORMER "Schubert; Alfred Brendel"

ISRC NLA508116801

INDEX 00 00:00:00

INDEX 01 00:00:32

TRACK 02 AUDIO

...

History

#1 - December 30, 2015 23:21 - John Lindgren

- Category set to plugins/cue

- Status changed from New to Closed

- Target version set to 3.7.2

- % Done changed from 0 to 100

Fixed, but note that libcue needs a patch to support the REM GENRE lines (plain GENRE works, though):

https://github.com/jlindgren90/libcue/commit/1add19115285e77150ece884cebade28dd30d365
#2 - December 31, 2015 04:15 - Ari Ar

John Lindgren wrote:

Fixed, but note that libcue needs a patch to support the REM GENRE lines (plain GENRE works, though):

https://github.com/jlindgren90/libcue/commit/1add19115285e77150ece884cebade28dd30d365

 

Thanks for the fast response! Does this include the missing Album Title name fix as well? (looking at the diffs I could see Genre/Date fixes but not the

album name one - am I overlooking something)

#3 - December 31, 2015 05:10 - John Lindgren

Ari Ar wrote:

Thanks for the fast response! Does this include the missing Album Title name fix as well? (looking at the diffs I could see Genre/Date fixes but

not the album name one - am I overlooking something)

 

Coincidentally, I had already fixed the album title (and album artist as well), actually just the day before you reported this bug.

https://github.com/audacious-media-player/audacious-plugins/commit/4a8ece834d72be78c229638c5968d887e32ac363
